<h1>New product</h1>

<form [formGroup]="productForm" (ngSubmit)="onSubmit()">
  <input type="text" placeholder="Name" formControlName="name"/><br/>
  <div style="color: red;" *ngIf="nameControl?.invalid && (nameControl?.touched || nameControl?.dirty)">
    <span *ngIf="nameControl?.hasError('required')">This field is required</span>
  </div>
  <input type="number" placeholder="Price" formControlName="price"/><br/>
  <textarea placeholder="Description" formControlName="description"></textarea><br/>
  <button [disabled]="productForm.invalid && (productForm.touched || productForm.dirty)">submit</button>
</form>
